# Uses of Class
org.apache.commons.math3.exception.TooManyIterationsException

Packages that use TooManyIterationsException
Package
Description
org.apache.commons.math3.optim
Generally, optimizers are algorithms that will either `minimize` or `maximize` a scalar function, called the `objective function`.
org.apache.commons.math3.optim.linear
Optimization algorithms for linear constrained problems.

## Uses of TooManyIterationsException in org.apache.commons.math3.optim

Methods in org.apache.commons.math3.optim that throw TooManyIterationsException
Modifier and Type
Method
Description
`protected void`
BaseOptimizer.`incrementIterationCount()`
Increment the iteration count.
`PAIR`
BaseOptimizer.`optimize()`
Performs the optimization.
`PAIR`
BaseOptimizer.`optimize(OptimizationData... optData)`
Stores data and performs the optimization.

## Uses of TooManyIterationsException in org.apache.commons.math3.optim.linear

Methods in org.apache.commons.math3.optim.linear that throw TooManyIterationsException
Modifier and Type
Method
Description
`protected void`
SimplexSolver.`doIteration(org.apache.commons.math3.optim.linear.SimplexTableau tableau)`
Runs one iteration of the Simplex method on the given model.
`PointValuePair`
SimplexSolver.`doOptimize()`
Performs the bulk of the optimization algorithm.
`PointValuePair`
LinearOptimizer.`optimize(OptimizationData... optData)`
Stores data and performs the optimization.
`PointValuePair`
SimplexSolver.`optimize(OptimizationData... optData)`
Stores data and performs the optimization.
`protected void`
SimplexSolver.`solvePhase1(org.apache.commons.math3.optim.linear.SimplexTableau tableau)`
Solves Phase 1 of the Simplex method.